KIO Link
KIO Link XC APIKIO Link API
KIO BMSHuawei BMSHuawei Alert
KIO Link XC APIKIO Link API
KIO BMSHuawei BMSHuawei Alert
  1. Application Content
  • Auth
    • Login
      POST
    • Generate OTS Token
      POST
  • Application Content
    • List application content
      GET
    • Create application content
      POST
    • Get application content by slug
      GET
    • Get application content by public id
      GET
    • Partially update application content
      PATCH
    • Delete application content
      DELETE
  • Banned Devices
    • List banned devices
      GET
    • Check if a device is risky or banned
      GET
    • Get a banned device
      GET
    • Create a banned device
      POST
    • Update a banned device
      PATCH
    • Delete a banned device
      DELETE
  • Data Centers
    • Listar data centers
      GET
    • Crear un data center
      POST
    • Actualizar un data center
      PATCH
    • Eliminar un data center
      DELETE
  • Intake Forms
    • List intake form reponses
      GET
    • Get an intake form's response
      GET
    • Get an intake form's response license file
      GET
    • Get an intake form's response identification file
      GET
    • Download intake form responses report
      GET
    • Create an intake form's response
      POST
    • Upload a license file to an intake form's response
      POST
    • Upload an identification file to an intake form's response
      POST
    • Update an intake form's response
      PATCH
    • Delete an intake form's response
      DELETE
  • Send App Notification
    POST
  • Events Locations
    GET
  • Fetch Wires
    GET
  • Create Business Temporary Secret
    POST
  • Send Visits Report
    GET
  • Schemas
    • ApplicationContentCreate
    • ApplicationContentUpdate
    • ApplicationContent
    • ApplicationContentListResponse
    • Banned Device
    • Error
    • LanguageEntry
    • Pagination
    • Intake Form
    • DataCenter
    • LocalizedContent
  1. Application Content

List application content

QA Environment
https://qa-api.kiolinkapp.com
QA Environment
https://qa-api.kiolinkapp.com
GET
https://qa-api.kiolinkapp.com
/v1/application-content
Application Content
Last modified:2026-08-21 23:29:13
Maintainer:José María Esparza Arévalo
Required Permission(s):settings-application-content-read
Returns paginated application content, optionally filtered by location and type.

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://qa-api.kiolinkapp.com/v1/application-content?located_at=%2Fkiolink.kiodc.tech%2Frequest&type=Alert&page=&limit=' \
--header 'authorization: <api-key>'

Responses

🟢200
application/json
Paginated application content
Bodyapplication/json

Example
{
    "data": [
        {
            "id": "2114325240453423",
            "created_at": "2026-08-05_19:03:39",
            "name": "Export Control Notice",
            "slug": "export-control-notice",
            "located_at": "/kiolink.kiodc.tech/request",
            "description": "string",
            "type": "Alert",
            "languages": [
                {
                    "en": {
                        "title": "Export Control Notice",
                        "copy": "Dear user, please review the export control rules.",
                        "checkbox": "I have read and accept",
                        "url": "https://www.trade.gov/us-export-controls"
                    },
                    "sp": {
                        "title": "Aviso de Control de Exportaciones",
                        "copy": "Estimado usuario: revise las normas de control de exportaciones.",
                        "checkbox": "He leído y acepto",
                        "url": "https://www.trade.gov/us-export-controls"
                    }
                }
            ],
            "property1": "string",
            "property2": "string",
            "_id": "64b000000000000000000001",
            "updated_at": "2019-08-24T14:15:22.123Z",
            "__v": 0
        }
    ],
    "pagination": {
        "page": 1,
        "limit": 20,
        "total": 1,
        "pages": 1
    }
}
🟠403Forbidden
🔴500InternalServerError
Modified at 2026-08-21 23:29:13
Previous
Generate OTS Token
Next
Create application content
Built with